<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::aip Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html">aip</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::aip Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_1_1test.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html">AudioInputProcessor</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_provider.html">AudioProvider</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_e_s_p_data.html">ESPData</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a12e954e666da508165ebfb7ce4466b2d"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2d">ASRProfile</a> { <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2dabdb500e22c9434ede56add466a99f025">ASRProfile::CLOSE_TALK</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2da7683c793f1384a54b3dc5d0c9416e325">ASRProfile::NEAR_FIELD</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2daa8e929fc5b05bcd369ebadadcb4a5718">ASRProfile::FAR_FIELD</a>
 }</td></tr>
<tr class="separator:a12e954e666da508165ebfb7ce4466b2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad67c47f25039dbd276b53220ff3bc0f4"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ad67c47f25039dbd276b53220ff3bc0f4">Initiator</a> { <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ad67c47f25039dbd276b53220ff3bc0f4a56d48be09b7b10cc583583453bc87a9b">Initiator::PRESS_AND_HOLD</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ad67c47f25039dbd276b53220ff3bc0f4afcd6420c60a17418a6de745d6546d966">Initiator::TAP</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ad67c47f25039dbd276b53220ff3bc0f4acb8de769bb1ad99fe7114fa74fc11e72">Initiator::WAKEWORD</a>
 }</td></tr>
<tr class="separator:ad67c47f25039dbd276b53220ff3bc0f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9bba266e6b0d85bbcc952295c1370bc1"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a9bba266e6b0d85bbcc952295c1370bc1">operator&lt;&lt;</a> (std::ostream &amp;stream, <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2d">ASRProfile</a> profile)</td></tr>
<tr class="separator:a9bba266e6b0d85bbcc952295c1370bc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5556314706757fd4965ac60ef20738f0"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a5556314706757fd4965ac60ef20738f0">asrProfileToString</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2d">ASRProfile</a> profile)</td></tr>
<tr class="separator:a5556314706757fd4965ac60ef20738f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3635b66f06140e73705befc6b73cd4ec"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a3635b66f06140e73705befc6b73cd4ec">initiatorToString</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ad67c47f25039dbd276b53220ff3bc0f4">Initiator</a> initiator)</td></tr>
<tr class="separator:a3635b66f06140e73705befc6b73cd4ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af27d2ed2429c8bc4696b07d3f9179271"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#af27d2ed2429c8bc4696b07d3f9179271">TAG</a> (&quot;AudioInputProcessor&quot;)</td></tr>
<tr class="memdesc:af27d2ed2429c8bc4696b07d3f9179271"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#af27d2ed2429c8bc4696b07d3f9179271">More...</a><br /></td></tr>
<tr class="separator:af27d2ed2429c8bc4696b07d3f9179271"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c48c331a3ddfea634f02418d05d5d69"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">avsCommon::avs::CapabilityConfiguration</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a7c48c331a3ddfea634f02418d05d5d69">getSpeechRecognizerCapabilityConfiguration</a> ()</td></tr>
<tr class="separator:a7c48c331a3ddfea634f02418d05d5d69"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a360033ed0709cfc0d89188252685250b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a360033ed0709cfc0d89188252685250b">SPEECHRECOGNIZER_CAPABILITY_INTERFACE_TYPE</a> = &quot;AlexaInterface&quot;</td></tr>
<tr class="separator:a360033ed0709cfc0d89188252685250b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a289ea50d1769f9459f2ab3b57bb39354"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a289ea50d1769f9459f2ab3b57bb39354">SPEECHRECOGNIZER_CAPABILITY_INTERFACE_NAME</a> = &quot;SpeechRecognizer&quot;</td></tr>
<tr class="memdesc:a289ea50d1769f9459f2ab3b57bb39354"><td class="mdescLeft">&#160;</td><td class="mdescRight">SpeechRecognizer interface name.  <a href="#a289ea50d1769f9459f2ab3b57bb39354">More...</a><br /></td></tr>
<tr class="separator:a289ea50d1769f9459f2ab3b57bb39354"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ab9280533d3bb8961a114352d60f27c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a3ab9280533d3bb8961a114352d60f27c">SPEECHRECOGNIZER_CAPABILITY_INTERFACE_VERSION</a> = &quot;2.1&quot;</td></tr>
<tr class="memdesc:a3ab9280533d3bb8961a114352d60f27c"><td class="mdescLeft">&#160;</td><td class="mdescRight">SpeechRecognizer interface version.  <a href="#a3ab9280533d3bb8961a114352d60f27c">More...</a><br /></td></tr>
<tr class="separator:a3ab9280533d3bb8961a114352d60f27c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6865b0d158ae906136497013216ebc4d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a6865b0d158ae906136497013216ebc4d">CHANNEL_NAME</a> = <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_interface.html#ad394dd6b26126ab84a82a1ef864f8ddf">avsCommon::sdkInterfaces::FocusManagerInterface::DIALOG_CHANNEL_NAME</a></td></tr>
<tr class="memdesc:a6865b0d158ae906136497013216ebc4d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the <code>FocusManager</code> channel used by <code>AudioInputProvider</code>.  <a href="#a6865b0d158ae906136497013216ebc4d">More...</a><br /></td></tr>
<tr class="separator:a6865b0d158ae906136497013216ebc4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9d845bb12871df7e7c25ab3eefbaec4"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ab9d845bb12871df7e7c25ab3eefbaec4">NAMESPACE</a> = &quot;SpeechRecognizer&quot;</td></tr>
<tr class="memdesc:ab9d845bb12871df7e7c25ab3eefbaec4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The namespace for this capability agent.  <a href="#ab9d845bb12871df7e7c25ab3eefbaec4">More...</a><br /></td></tr>
<tr class="separator:ab9d845bb12871df7e7c25ab3eefbaec4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a6c8ec24e28b88652b2e524e851f138"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a8a6c8ec24e28b88652b2e524e851f138">STOP_CAPTURE</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ab9d845bb12871df7e7c25ab3eefbaec4">NAMESPACE</a>, &quot;StopCapture&quot;}</td></tr>
<tr class="memdesc:a8a6c8ec24e28b88652b2e524e851f138"><td class="mdescLeft">&#160;</td><td class="mdescRight">The StopCapture directive signature.  <a href="#a8a6c8ec24e28b88652b2e524e851f138">More...</a><br /></td></tr>
<tr class="separator:a8a6c8ec24e28b88652b2e524e851f138"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9300d1828cd11f55ac49dbca92cd8a8a"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a9300d1828cd11f55ac49dbca92cd8a8a">EXPECT_SPEECH</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ab9d845bb12871df7e7c25ab3eefbaec4">NAMESPACE</a>, &quot;ExpectSpeech&quot;}</td></tr>
<tr class="memdesc:a9300d1828cd11f55ac49dbca92cd8a8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The ExpectSpeech directive signature.  <a href="#a9300d1828cd11f55ac49dbca92cd8a8a">More...</a><br /></td></tr>
<tr class="separator:a9300d1828cd11f55ac49dbca92cd8a8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8048a6c2c004a9aa10fa5a5616677532"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a8048a6c2c004a9aa10fa5a5616677532">SET_END_OF_SPEECH_OFFSET</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ab9d845bb12871df7e7c25ab3eefbaec4">NAMESPACE</a>, &quot;SetEndOfSpeechOffset&quot;}</td></tr>
<tr class="memdesc:a8048a6c2c004a9aa10fa5a5616677532"><td class="mdescLeft">&#160;</td><td class="mdescRight">The SetEndOfSpeechOffset directive signature.  <a href="#a8048a6c2c004a9aa10fa5a5616677532">More...</a><br /></td></tr>
<tr class="separator:a8048a6c2c004a9aa10fa5a5616677532"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1f4dbe884ae7c82d527cce9a69a0cbf"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ab1f4dbe884ae7c82d527cce9a69a0cbf">RECOGNIZER_STATE</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ab9d845bb12871df7e7c25ab3eefbaec4">NAMESPACE</a>, &quot;RecognizerState&quot;}</td></tr>
<tr class="memdesc:ab1f4dbe884ae7c82d527cce9a69a0cbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">The SpeechRecognizer context state signature.  <a href="#ab1f4dbe884ae7c82d527cce9a69a0cbf">More...</a><br /></td></tr>
<tr class="separator:ab1f4dbe884ae7c82d527cce9a69a0cbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1732424dfb90cdd08d5e20c07ddd63bb"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a1732424dfb90cdd08d5e20c07ddd63bb">INITIATOR_KEY</a> = &quot;initiator&quot;</td></tr>
<tr class="memdesc:a1732424dfb90cdd08d5e20c07ddd63bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">The field identifying the initiator.  <a href="#a1732424dfb90cdd08d5e20c07ddd63bb">More...</a><br /></td></tr>
<tr class="separator:a1732424dfb90cdd08d5e20c07ddd63bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a50ac3ef5c5b7ffff9d4b37dceb4997"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a2a50ac3ef5c5b7ffff9d4b37dceb4997">PROFILE_KEY</a> = &quot;profile&quot;</td></tr>
<tr class="memdesc:a2a50ac3ef5c5b7ffff9d4b37dceb4997"><td class="mdescLeft">&#160;</td><td class="mdescRight">The field identifying the initiator's profile.  <a href="#a2a50ac3ef5c5b7ffff9d4b37dceb4997">More...</a><br /></td></tr>
<tr class="separator:a2a50ac3ef5c5b7ffff9d4b37dceb4997"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75e0e68b050058b87d12bb7cd0b07d1c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a75e0e68b050058b87d12bb7cd0b07d1c">FORMAT_KEY</a> = &quot;format&quot;</td></tr>
<tr class="memdesc:a75e0e68b050058b87d12bb7cd0b07d1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The field identifying the initiator's format.  <a href="#a75e0e68b050058b87d12bb7cd0b07d1c">More...</a><br /></td></tr>
<tr class="separator:a75e0e68b050058b87d12bb7cd0b07d1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32e0f808067c1599cbb4598d2f750706"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a32e0f808067c1599cbb4598d2f750706">TYPE_KEY</a> = &quot;type&quot;</td></tr>
<tr class="memdesc:a32e0f808067c1599cbb4598d2f750706"><td class="mdescLeft">&#160;</td><td class="mdescRight">The field identifying the initiator's type.  <a href="#a32e0f808067c1599cbb4598d2f750706">More...</a><br /></td></tr>
<tr class="separator:a32e0f808067c1599cbb4598d2f750706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbf5dcfa5810b05aab72efc1a0005e3f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#abbf5dcfa5810b05aab72efc1a0005e3f">PAYLOAD_KEY</a> = &quot;payload&quot;</td></tr>
<tr class="memdesc:abbf5dcfa5810b05aab72efc1a0005e3f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The field identifying the initiator's payload.  <a href="#abbf5dcfa5810b05aab72efc1a0005e3f">More...</a><br /></td></tr>
<tr class="separator:abbf5dcfa5810b05aab72efc1a0005e3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34efcba44c38cc415a44c40efa7a7e61"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a34efcba44c38cc415a44c40efa7a7e61">WAKEWORD_INDICES_KEY</a> = &quot;wakeWordIndices&quot;</td></tr>
<tr class="memdesc:a34efcba44c38cc415a44c40efa7a7e61"><td class="mdescLeft">&#160;</td><td class="mdescRight">The field identifying the initiator's wakeword indices.  <a href="#a34efcba44c38cc415a44c40efa7a7e61">More...</a><br /></td></tr>
<tr class="separator:a34efcba44c38cc415a44c40efa7a7e61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90336aeeac4edbe1bde7273b885bf610"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a90336aeeac4edbe1bde7273b885bf610">START_INDEX_KEY</a> = &quot;startIndexInSamples&quot;</td></tr>
<tr class="memdesc:a90336aeeac4edbe1bde7273b885bf610"><td class="mdescLeft">&#160;</td><td class="mdescRight">The field identifying the initiator's wakeword start index.  <a href="#a90336aeeac4edbe1bde7273b885bf610">More...</a><br /></td></tr>
<tr class="separator:a90336aeeac4edbe1bde7273b885bf610"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a8d6d789c8c9cfc467aefffbc2f5a9e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a4a8d6d789c8c9cfc467aefffbc2f5a9e">END_INDEX_KEY</a> = &quot;endIndexInSamples&quot;</td></tr>
<tr class="memdesc:a4a8d6d789c8c9cfc467aefffbc2f5a9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The field identifying the initiator's wakeword end index.  <a href="#a4a8d6d789c8c9cfc467aefffbc2f5a9e">More...</a><br /></td></tr>
<tr class="separator:a4a8d6d789c8c9cfc467aefffbc2f5a9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba10069d387ef5cbecd60feb793a2288"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#aba10069d387ef5cbecd60feb793a2288">WAKE_WORD_KEY</a> = &quot;wakeWord&quot;</td></tr>
<tr class="memdesc:aba10069d387ef5cbecd60feb793a2288"><td class="mdescLeft">&#160;</td><td class="mdescRight">The field identifying the initiator's wake word.  <a href="#aba10069d387ef5cbecd60feb793a2288">More...</a><br /></td></tr>
<tr class="separator:aba10069d387ef5cbecd60feb793a2288"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cb092b3b7868ce0034d8ef486e72315"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a0cb092b3b7868ce0034d8ef486e72315">VOICE_ENERGY_KEY</a> = &quot;voiceEnergy&quot;</td></tr>
<tr class="memdesc:a0cb092b3b7868ce0034d8ef486e72315"><td class="mdescLeft">&#160;</td><td class="mdescRight">The field identifying the ESP voice energy.  <a href="#a0cb092b3b7868ce0034d8ef486e72315">More...</a><br /></td></tr>
<tr class="separator:a0cb092b3b7868ce0034d8ef486e72315"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7a153c70d8b5fbad0db8abeb3bbd71b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ac7a153c70d8b5fbad0db8abeb3bbd71b">AMBIENT_ENERGY_KEY</a> = &quot;ambientEnergy&quot;</td></tr>
<tr class="memdesc:ac7a153c70d8b5fbad0db8abeb3bbd71b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The field identifying the ESP ambient energy.  <a href="#ac7a153c70d8b5fbad0db8abeb3bbd71b">More...</a><br /></td></tr>
<tr class="separator:ac7a153c70d8b5fbad0db8abeb3bbd71b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac08df1f16af6efea21abbf7a6fcb171c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ac08df1f16af6efea21abbf7a6fcb171c">AUDIO_ATTACHMENT_FIELD_NAME</a> = &quot;audio&quot;</td></tr>
<tr class="memdesc:ac08df1f16af6efea21abbf7a6fcb171c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The field name for the user voice attachment.  <a href="#ac08df1f16af6efea21abbf7a6fcb171c">More...</a><br /></td></tr>
<tr class="separator:ac08df1f16af6efea21abbf7a6fcb171c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9715649e3977c3460ae6a3a39aff6955"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a9715649e3977c3460ae6a3a39aff6955">KWD_METADATA_FIELD_NAME</a> = &quot;wakewordEngineMetadata&quot;</td></tr>
<tr class="memdesc:a9715649e3977c3460ae6a3a39aff6955"><td class="mdescLeft">&#160;</td><td class="mdescRight">The field name for the wake word engine metadata.  <a href="#a9715649e3977c3460ae6a3a39aff6955">More...</a><br /></td></tr>
<tr class="separator:a9715649e3977c3460ae6a3a39aff6955"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a690d88d522bcccad01aea068231b4226"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a690d88d522bcccad01aea068231b4226">START_OF_SPEECH_TIMESTAMP_FIELD_NAME</a> = &quot;startOfSpeechTimestamp&quot;</td></tr>
<tr class="separator:a690d88d522bcccad01aea068231b4226"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a725d778b768a1f467a70b0b7ee79196f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a725d778b768a1f467a70b0b7ee79196f">END_OF_SPEECH_OFFSET_FIELD_NAME</a> = &quot;endOfSpeechOffsetInMilliseconds&quot;</td></tr>
<tr class="memdesc:a725d778b768a1f467a70b0b7ee79196f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The field name for the end of speech offset, reported in milliseconds, as part of SetEndOfSpeechOffset payload.  <a href="#a725d778b768a1f467a70b0b7ee79196f">More...</a><br /></td></tr>
<tr class="separator:a725d778b768a1f467a70b0b7ee79196f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a12e954e666da508165ebfb7ce4466b2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12e954e666da508165ebfb7ce4466b2d">&#9670;&nbsp;</a></span>ASRProfile</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2d">alexaClientSDK::capabilityAgents::aip::ASRProfile</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Enumerates the different ASR profiles supported by AVS. </p><dl class="section see"><dt>See also</dt><dd><a href="https://developer.amazon.com/public/solutions/alexa/alexa-voice-service/reference/speechrecognizer#profiles">https://developer.amazon.com/public/solutions/alexa/alexa-voice-service/reference/speechrecognizer#profiles</a> </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a12e954e666da508165ebfb7ce4466b2dabdb500e22c9434ede56add466a99f025"></a>CLOSE_TALK&#160;</td><td class="fielddoc"><p class="">Client determines end of user speech (0 to 2.5 ft). </p>
</td></tr>
<tr><td class="fieldname"><a id="a12e954e666da508165ebfb7ce4466b2da7683c793f1384a54b3dc5d0c9416e325"></a>NEAR_FIELD&#160;</td><td class="fielddoc"><p class="">Cloud determines end of user speech (0 to 5 ft). </p>
</td></tr>
<tr><td class="fieldname"><a id="a12e954e666da508165ebfb7ce4466b2daa8e929fc5b05bcd369ebadadcb4a5718"></a>FAR_FIELD&#160;</td><td class="fielddoc"><p class="">Cloud determines end of user speech (0 to 20+ ft). </p>
</td></tr>
</table>

</div>
</div>
<a id="ad67c47f25039dbd276b53220ff3bc0f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad67c47f25039dbd276b53220ff3bc0f4">&#9670;&nbsp;</a></span>Initiator</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ad67c47f25039dbd276b53220ff3bc0f4">alexaClientSDK::capabilityAgents::aip::Initiator</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Enumerates the different initiators supported by AVS. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="ad67c47f25039dbd276b53220ff3bc0f4a56d48be09b7b10cc583583453bc87a9b"></a>PRESS_AND_HOLD&#160;</td><td class="fielddoc"><p class="">Recognize event was initiated by a press-and-hold action. </p>
</td></tr>
<tr><td class="fieldname"><a id="ad67c47f25039dbd276b53220ff3bc0f4afcd6420c60a17418a6de745d6546d966"></a>TAP&#160;</td><td class="fielddoc"><p class="">Recognize event was initiated by a tap-to-talk action. </p>
</td></tr>
<tr><td class="fieldname"><a id="ad67c47f25039dbd276b53220ff3bc0f4acb8de769bb1ad99fe7114fa74fc11e72"></a>WAKEWORD&#160;</td><td class="fielddoc"><p class="">Recognize event was initiated by a wakeword action. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a5556314706757fd4965ac60ef20738f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5556314706757fd4965ac60ef20738f0">&#9670;&nbsp;</a></span>asrProfileToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilityAgents::aip::asrProfileToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2d">ASRProfile</a>&#160;</td>
          <td class="paramname"><em>profile</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Convert the <code>ASRProfile</code> to an AVS-compliant string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">profile</td><td>The profile value to convert to a string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>String representing the profile value. If the profile given is not valid, an empty string will be returned. </dd></dl>

</div>
</div>
<a id="a7c48c331a3ddfea634f02418d05d5d69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c48c331a3ddfea634f02418d05d5d69">&#9670;&nbsp;</a></span>getSpeechRecognizerCapabilityConfiguration()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">avsCommon::avs::CapabilityConfiguration</a> &gt; alexaClientSDK::capabilityAgents::aip::getSpeechRecognizerCapabilityConfiguration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Creates the SpeechRecognizer capability configuration.</p>
<dl class="section return"><dt>Returns</dt><dd>The SpeechRecognizer capability configuration. </dd></dl>

</div>
</div>
<a id="a3635b66f06140e73705befc6b73cd4ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3635b66f06140e73705befc6b73cd4ec">&#9670;&nbsp;</a></span>initiatorToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilityAgents::aip::initiatorToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ad67c47f25039dbd276b53220ff3bc0f4">Initiator</a>&#160;</td>
          <td class="paramname"><em>initiator</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Convert an <code>Initiator</code> value to an AVS-compliant string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">initiator</td><td>The initiator value to convert to a string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The <code>std::string</code> conversion of the <code>Initiator</code> value. </dd></dl>

</div>
</div>
<a id="a9bba266e6b0d85bbcc952295c1370bc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bba266e6b0d85bbcc952295c1370bc1">&#9670;&nbsp;</a></span>operator&lt;&lt;()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; alexaClientSDK::capabilityAgents::aip::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2d">ASRProfile</a>&#160;</td>
          <td class="paramname"><em>profile</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Write an <code>ASRProfile</code> value to an <code>ostream</code> as an AVS-compliant string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>The stream to write the value to. </td></tr>
    <tr><td class="paramname">profile</td><td>The profile value to write to the <code>ostream</code> as a string. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The <code>ostream</code> that was passed in and written to. </dd></dl>

</div>
</div>
<a id="af27d2ed2429c8bc4696b07d3f9179271"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af27d2ed2429c8bc4696b07d3f9179271">&#9670;&nbsp;</a></span>TAG()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::aip::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;AudioInputProcessor&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="ac7a153c70d8b5fbad0db8abeb3bbd71b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac7a153c70d8b5fbad0db8abeb3bbd71b">&#9670;&nbsp;</a></span>AMBIENT_ENERGY_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::AMBIENT_ENERGY_KEY = &quot;ambientEnergy&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The field identifying the ESP ambient energy. </p>

</div>
</div>
<a id="ac08df1f16af6efea21abbf7a6fcb171c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac08df1f16af6efea21abbf7a6fcb171c">&#9670;&nbsp;</a></span>AUDIO_ATTACHMENT_FIELD_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::AUDIO_ATTACHMENT_FIELD_NAME = &quot;audio&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The field name for the user voice attachment. </p>

</div>
</div>
<a id="a6865b0d158ae906136497013216ebc4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6865b0d158ae906136497013216ebc4d">&#9670;&nbsp;</a></span>CHANNEL_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::CHANNEL_NAME = <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_focus_manager_interface.html#ad394dd6b26126ab84a82a1ef864f8ddf">avsCommon::sdkInterfaces::FocusManagerInterface::DIALOG_CHANNEL_NAME</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The name of the <code>FocusManager</code> channel used by <code>AudioInputProvider</code>. </p>

</div>
</div>
<a id="a4a8d6d789c8c9cfc467aefffbc2f5a9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a8d6d789c8c9cfc467aefffbc2f5a9e">&#9670;&nbsp;</a></span>END_INDEX_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::END_INDEX_KEY = &quot;endIndexInSamples&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The field identifying the initiator's wakeword end index. </p>

</div>
</div>
<a id="a725d778b768a1f467a70b0b7ee79196f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a725d778b768a1f467a70b0b7ee79196f">&#9670;&nbsp;</a></span>END_OF_SPEECH_OFFSET_FIELD_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::END_OF_SPEECH_OFFSET_FIELD_NAME = &quot;endOfSpeechOffsetInMilliseconds&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The field name for the end of speech offset, reported in milliseconds, as part of SetEndOfSpeechOffset payload. </p>

</div>
</div>
<a id="a9300d1828cd11f55ac49dbca92cd8a8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9300d1828cd11f55ac49dbca92cd8a8a">&#9670;&nbsp;</a></span>EXPECT_SPEECH</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> alexaClientSDK::capabilityAgents::aip::EXPECT_SPEECH {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ab9d845bb12871df7e7c25ab3eefbaec4">NAMESPACE</a>, &quot;ExpectSpeech&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The ExpectSpeech directive signature. </p>

</div>
</div>
<a id="a75e0e68b050058b87d12bb7cd0b07d1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75e0e68b050058b87d12bb7cd0b07d1c">&#9670;&nbsp;</a></span>FORMAT_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::FORMAT_KEY = &quot;format&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The field identifying the initiator's format. </p>

</div>
</div>
<a id="a1732424dfb90cdd08d5e20c07ddd63bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1732424dfb90cdd08d5e20c07ddd63bb">&#9670;&nbsp;</a></span>INITIATOR_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::INITIATOR_KEY = &quot;initiator&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The field identifying the initiator. </p>

</div>
</div>
<a id="a9715649e3977c3460ae6a3a39aff6955"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9715649e3977c3460ae6a3a39aff6955">&#9670;&nbsp;</a></span>KWD_METADATA_FIELD_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::KWD_METADATA_FIELD_NAME = &quot;wakewordEngineMetadata&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The field name for the wake word engine metadata. </p>

</div>
</div>
<a id="ab9d845bb12871df7e7c25ab3eefbaec4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9d845bb12871df7e7c25ab3eefbaec4">&#9670;&nbsp;</a></span>NAMESPACE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::NAMESPACE = &quot;SpeechRecognizer&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The namespace for this capability agent. </p>

</div>
</div>
<a id="abbf5dcfa5810b05aab72efc1a0005e3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbf5dcfa5810b05aab72efc1a0005e3f">&#9670;&nbsp;</a></span>PAYLOAD_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::PAYLOAD_KEY = &quot;payload&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The field identifying the initiator's payload. </p>

</div>
</div>
<a id="a2a50ac3ef5c5b7ffff9d4b37dceb4997"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a50ac3ef5c5b7ffff9d4b37dceb4997">&#9670;&nbsp;</a></span>PROFILE_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::PROFILE_KEY = &quot;profile&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The field identifying the initiator's profile. </p>

</div>
</div>
<a id="ab1f4dbe884ae7c82d527cce9a69a0cbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1f4dbe884ae7c82d527cce9a69a0cbf">&#9670;&nbsp;</a></span>RECOGNIZER_STATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> alexaClientSDK::capabilityAgents::aip::RECOGNIZER_STATE {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ab9d845bb12871df7e7c25ab3eefbaec4">NAMESPACE</a>, &quot;RecognizerState&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The SpeechRecognizer context state signature. </p>

</div>
</div>
<a id="a8048a6c2c004a9aa10fa5a5616677532"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8048a6c2c004a9aa10fa5a5616677532">&#9670;&nbsp;</a></span>SET_END_OF_SPEECH_OFFSET</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> alexaClientSDK::capabilityAgents::aip::SET_END_OF_SPEECH_OFFSET {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ab9d845bb12871df7e7c25ab3eefbaec4">NAMESPACE</a>, &quot;SetEndOfSpeechOffset&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The SetEndOfSpeechOffset directive signature. </p>

</div>
</div>
<a id="a289ea50d1769f9459f2ab3b57bb39354"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a289ea50d1769f9459f2ab3b57bb39354">&#9670;&nbsp;</a></span>SPEECHRECOGNIZER_CAPABILITY_INTERFACE_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::SPEECHRECOGNIZER_CAPABILITY_INTERFACE_NAME = &quot;SpeechRecognizer&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>SpeechRecognizer interface name. </p>

</div>
</div>
<a id="a360033ed0709cfc0d89188252685250b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a360033ed0709cfc0d89188252685250b">&#9670;&nbsp;</a></span>SPEECHRECOGNIZER_CAPABILITY_INTERFACE_TYPE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::SPEECHRECOGNIZER_CAPABILITY_INTERFACE_TYPE = &quot;AlexaInterface&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">SpeechRecognizer capability constants SpeechRecognizer interface type </p>

</div>
</div>
<a id="a3ab9280533d3bb8961a114352d60f27c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ab9280533d3bb8961a114352d60f27c">&#9670;&nbsp;</a></span>SPEECHRECOGNIZER_CAPABILITY_INTERFACE_VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::SPEECHRECOGNIZER_CAPABILITY_INTERFACE_VERSION = &quot;2.1&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>SpeechRecognizer interface version. </p>

</div>
</div>
<a id="a90336aeeac4edbe1bde7273b885bf610"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90336aeeac4edbe1bde7273b885bf610">&#9670;&nbsp;</a></span>START_INDEX_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::START_INDEX_KEY = &quot;startIndexInSamples&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The field identifying the initiator's wakeword start index. </p>

</div>
</div>
<a id="a690d88d522bcccad01aea068231b4226"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a690d88d522bcccad01aea068231b4226">&#9670;&nbsp;</a></span>START_OF_SPEECH_TIMESTAMP_FIELD_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::START_OF_SPEECH_TIMESTAMP_FIELD_NAME = &quot;startOfSpeechTimestamp&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">The field name for the start of speech timestamp, reported in milliseconds since epoch. This field is provided to the Recognize event and it's sent back as part of SetEndOfSpeechOffset payload. </p>

</div>
</div>
<a id="a8a6c8ec24e28b88652b2e524e851f138"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a6c8ec24e28b88652b2e524e851f138">&#9670;&nbsp;</a></span>STOP_CAPTURE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">avsCommon::avs::NamespaceAndName</a> alexaClientSDK::capabilityAgents::aip::STOP_CAPTURE {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#ab9d845bb12871df7e7c25ab3eefbaec4">NAMESPACE</a>, &quot;StopCapture&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The StopCapture directive signature. </p>

</div>
</div>
<a id="a32e0f808067c1599cbb4598d2f750706"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32e0f808067c1599cbb4598d2f750706">&#9670;&nbsp;</a></span>TYPE_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::TYPE_KEY = &quot;type&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The field identifying the initiator's type. </p>

</div>
</div>
<a id="a0cb092b3b7868ce0034d8ef486e72315"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cb092b3b7868ce0034d8ef486e72315">&#9670;&nbsp;</a></span>VOICE_ENERGY_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::VOICE_ENERGY_KEY = &quot;voiceEnergy&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The field identifying the ESP voice energy. </p>

</div>
</div>
<a id="aba10069d387ef5cbecd60feb793a2288"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba10069d387ef5cbecd60feb793a2288">&#9670;&nbsp;</a></span>WAKE_WORD_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::WAKE_WORD_KEY = &quot;wakeWord&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The field identifying the initiator's wake word. </p>

</div>
</div>
<a id="a34efcba44c38cc415a44c40efa7a7e61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34efcba44c38cc415a44c40efa7a7e61">&#9670;&nbsp;</a></span>WAKEWORD_INDICES_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::aip::WAKEWORD_INDICES_KEY = &quot;wakeWordIndices&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The field identifying the initiator's wakeword indices. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
